Subject: Re: [PATCH 0/4 v4] WIP: allow "-" as a shorthand for "previous branch"

From: Matthieu Moy <[email-masked]>
Date: Thu, 16 Feb 2017 17:41:32 +0100

Siddharth Kannan <[email-masked]> writes:

> This is as per our discussion[1]. The patches and commit messages are based on
> Junio's patches that were posted as a reply to
> <[email-masked]>.
>
> As per Matthieu's comments, I have updated the tests, but there is still one
> thing that is not working: log -@{yesterday} or log -@{2.days.ago}

Note that I did not request that these things work, just that they seem
to be relevant tests: IMHO it's OK to reject them, but for example we
don't want them to segfault. And having a test is a good hint that you
thought about what could happen and to document it.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/